org.apache.sysds.runtime.instructions.cp

## Class ScalarObjectFactory

- java.lang.Object
- - org.apache.sysds.runtime.instructions.cp.ScalarObjectFactory

-     public abstract class ScalarObjectFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalarObjectFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DoubleObject` | `castToDouble(ScalarObject so)`
    `static IntObject` | `castToLong(ScalarObject so)`
    `static LiteralOp` | `createLiteralOp(ScalarObject so)`
    `static LiteralOp` | `createLiteralOp(ScalarObject so, UnaryOp cast)`
    `static LiteralOp` | `createLiteralOp(Types.ValueType vt, String value)`
    `static ScalarObject` | `createScalarObject(LiteralOp lit)`
    `static ScalarObject` | `createScalarObject(Types.ValueType vt, double value)`
    `static ScalarObject` | `createScalarObject(Types.ValueType vt, LiteralOp lit)`
    `static ScalarObject` | `createScalarObject(Types.ValueType vt, Object obj)`
    `static ScalarObject` | `createScalarObject(Types.ValueType vt, ScalarObject so)`
    `static ScalarObject` | `createScalarObject(Types.ValueType vt, String value)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalarObjectFactory

          public ScalarObjectFactory()

  - ### Method Detail

    - #### createScalarObject

          public static ScalarObject createScalarObject(Types.ValueType vt,
                                                        String value)

    - #### createScalarObject

          public static ScalarObject createScalarObject(Types.ValueType vt,
                                                        Object obj)

    - #### createScalarObject

          public static ScalarObject createScalarObject(Types.ValueType vt,
                                                        double value)

    - #### createScalarObject

          public static ScalarObject createScalarObject(Types.ValueType vt,
                                                        ScalarObject so)

    - #### createScalarObject

          public static ScalarObject createScalarObject(LiteralOp lit)

    - #### createScalarObject

          public static ScalarObject createScalarObject(Types.ValueType vt,
                                                        LiteralOp lit)

    - #### createLiteralOp

          public static LiteralOp createLiteralOp(ScalarObject so)

    - #### createLiteralOp

          public static LiteralOp createLiteralOp(ScalarObject so,
                                                  UnaryOp cast)

    - #### createLiteralOp

          public static LiteralOp createLiteralOp(Types.ValueType vt,
                                                  String value)

    - #### castToLong

          public static IntObject castToLong(ScalarObject so)

    - #### castToDouble

          public static DoubleObject castToDouble(ScalarObject so)

Copyright © 2020 The Apache Software Foundation. All rights reserved.